NoMergeScheduler (Lucene 3.6.2 API)
Keywords: org.apache.lucene.index.NoMergeScheduler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class NoMergeScheduler

    java.lang.Object
      org.apache.lucene.index.MergeScheduler
          org.apache.lucene.index.NoMergeScheduler

    public final class NoMergeScheduler

extends MergeScheduler

A `MergeScheduler` which never executes any merges. It is also a singleton and can be accessed through `INSTANCE`. Use it if you want to prevent an `IndexWriter` from ever executing merges, irregardless of the `MergePolicy` used. Note that you can achieve the same thing by using `NoMergePolicy`, however with `NoMergeScheduler` you also ensure that no unnecessary code of any `MergeScheduler` implementation is ever executed. Hence it is recommended to use both if you want to disable merges from ever happening.

Field Summary
`static MergeScheduler` | `INSTANCE` The single instance of `NoMergeScheduler`

Method Summary
`void` | `close()` Close this MergeScheduler.
`void` | `merge(IndexWriter writer)` Run the merges provided by `IndexWriter.getNextMerge()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final MergeScheduler INSTANCE

  The single instance of `NoMergeScheduler`

Method Detail

### close

    public void close()

  Description copied from class: `MergeScheduler`
  Close this MergeScheduler.

  Specified by:
    `close` in class `MergeScheduler`

### merge

    public void merge(IndexWriter writer)
               throws CorruptIndexException,
                      IOException

  Description copied from class: `MergeScheduler`
  Run the merges provided by `IndexWriter.getNextMerge()`.

  Specified by:
    `merge` in class `MergeScheduler`
  Throws:
    `CorruptIndexException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD